Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
GETOrganization OperationsSince 2.4.0SynchronousAuth Required

QueryIAM2Organization

QueryIAM2Organization

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • parentUuidStringRequired

      父级资源UUID。

    • stateStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • typeOrganizationTypeRequired

      See type.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • organizationUuidStringRequired

        组织UUID。

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

GET/zstack/v1/iam2/organizations

/zstack/v1/iam2/organizations

Operation ID

QueryIAM2Organization

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/organizations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "22e5c247ec02478286a1fccfdaa9a2d3", "name": "org1", "state": "Enabled", "type": "Company", "parentUuid": "3714d14d9b78487e983236a5ae65a190", "attributes": [ { "uuid": "ee3bccfce21243cfbfc03cce1118b929", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } ] }

Change History

This API has no change history records yet.

View all change history